%define name	mcal
%define version 0.7
%define release 4mdk
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define lib_name_orig lib%{name}

Name:		%{name}
Summary:	Modular Calendar Access Library
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	GPL
Source0:	lib%{name}-%{version}.tar.bz2
Source1:	mcaldrivers-0.9.tar.bz2
Patch0:		%{name}-make.patch.bz2
Patch1:		%{name}-libtool.patch.bz2
Patch2:		%{name}-mstore_calendar_path.patch.bz2
Patch3:		libmcal-0.7-gcc-4.0-fix.patch.bz2
URL:		http://mcal.chek.com/
BuildRequires:	flex
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libmcal is a C library for accessing calendars. It's written to be
very modular, with plugable drivers.

%package -n     %{lib_name}
Summary:        Modular Calendar Access Library
Group:		System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with mcal.

%package -n     %{lib_name}-devel
Summary:	MCAL header files
Group:		Development/C
Requires:       %{lib_name} = %{version}
Provides:       %{lib_name_orig}-devel = %{version}-%{release} 
Provides:       %{name}-devel = %{version}-%{release}   

%description -n %{lib_name}-devel 
Header files for MCAL-based programs development.

%prep
%setup -q -n %{lib_name_orig} -a1
mv -f mcal-drivers/* .
%patch0 -p1 -z .make
%patch1 -p1 -z .libtool
%patch2 -z .calpath
%patch3 -p1 -b .gcc4_0

%build
%make -C icap
%make -C mstore

%configure --with-icap --with-mstore

%make 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%make install DESTDIR=$RPM_BUILD_ROOT

mv -f mstore/Changelog Changelog.mstore
mv -f mstore/README README.mstore

install -d -m 1777 $RPM_BUILD_ROOT%{_localstatedir}/calendar
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/mpasswd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{lib_name} -p /sbin/ldconfig
%postun	-n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(644,root,root,755)
%doc CHANGELOG FAQ-MCAL FEATURE-IMPLEMENTATION HOW-TO-MCAL *.mstore
%config(noreplace) %{_sysconfdir}/mpasswd
%attr(755,root,root) %{_libdir}/lib*.so.*
%attr(1777,root,root) %{_localstatedir}/calendar

%files -n %{lib_name}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Sat Aug 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-4mdk
- patch3: fix build with gcc 4.0

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 0.7-3mdk
- Create and own /etc/mpasswd

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 0.7-2mdk
- Create calendar dir in %%{_localstatedir}/calendar
- Patch mstore to use this dir instead of /var/calendar

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 0.7-1mdk
- first mdk rpm (based on an old PLD one)
